
Redmine - Defect #11481

Copying Projects (with Tickets) not working

2012-07-23 10:38 - Julia Spill

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.0.3

Description

When i try to copy a project, that has tickets in it, redmine does copy the project itself, but not the tickets. Also it doesn't put the

copied project under the selected project, it always copies the project to the root-area.

It might be the same problem that occurs, when copying multiple tickets. Redmine just doenst do anything (no error message). But it

works fine when copying a single ticket.

We use the following Installation (no plugins, but customfields):

Redmine version                          2.0.3.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.6

Database adapter                         MySQL

Related issues:

Related to Redmine - Defect #11315: When I  copy a project it does not copy t... Needs feedback

Related to Redmine - Defect #13518: To copy project doesn't copy the issues' ... Needs feedback

Related to Redmine - Defect #13540: To copy project doesn't copy the issues' ... Closed

History

#1 - 2013-08-07 11:14 - Eric Diaz

Hi

same trouble in version 2.1.4

In my case, it seems that a mandatory custom fields fullfilled in sources tickets is the root cause.

If I put this custom field as no mandatory, tickets are well copied but all the custom fileds are set to null.

My opinion is that the first copy failed because all custom fields are set to null so that mandatory one's are in error.

Seems related to issue #11315, #13518 and #13540.

As far as I m concerned, the solution porposed in #13540 doesn't work.

=======================================================

My environment :

Redmine version                          2.1.4.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.8

Database adapter                         PostgreSQL 8.4.11

Regards

#2 - 2013-08-07 11:26 - Toshi MARUYAMA

- Related to Defect #11315: When I  copy a project it does not copy the issues custom fields' values added

#3 - 2013-08-07 11:26 - Toshi MARUYAMA

- Related to Defect #13518: To copy project doesn't copy the issues' custom fields in version 2.2.3 added

#4 - 2013-08-07 11:26 - Toshi MARUYAMA

- Related to Defect #13540: To copy project doesn't copy the issues' custom fields in version 2.3.0 added

#5 - 2017-02-22 21:42 - Mischa The Evil
https://www.redmine.org/issues/11315
https://www.redmine.org/issues/13518
https://www.redmine.org/issues/13540
https://www.redmine.org/issues/13540


- Status changed from New to Needs feedback

I just came around this issue again and checked whether this issue still persists on current trunk (at r16339). AFAICS, this is fixed by r15318 for 

#22342. I did some quick tests and wasn't able to reproduce the issue any longer.

Can this be confirmed by somebody?
https://www.redmine.org/projects/redmine/repository/svn/revisions/16339
https://www.redmine.org/projects/redmine/repository/svn/revisions/15318
https://www.redmine.org/issues/22342
http://www.tcpdf.org

